مرجع واجهة API
القياس عن بُعد والتحسين
الإبلاغ عن الاستدعاءات المُجراة خارج البوابة، واختيار نموذج لطلب، والبحث عن الإجابات المخزّنة مؤقتًا وتخزينها، والتحقق من دخول وكيل في حلقة، وضغط المحتوى الطويل، والاستعلام من سوق المزوّدين.
ملخصات المسارات وأسماء الحقول مكتوبة بالإنجليزية، هنا وفي الملف.
/api/ingest
POST /api/ingest
Ingest AI usage events
المصادقة
مفتاح API
نطاق المفتاح
ingest:writeالجسم
events (إلزامي)الإجابات
200 · 400 validation_failed · 401 api_key_missing, api_key_invalid · 402 budget_exceeded · 403 api_key_scope_denied, api_key_role_denied, ip_not_allowed, eu_storage_unavailable · 413 validation_failed · 429 ingest_queue_full · 500 internal_error · 503 service_unavailable · 504/api/arbiter
POST /api/arbiter/route
Select optimal model for a request
المصادقة
مفتاح API
نطاق المفتاح
inference:writeالجسم
agentId · promptTokens · mode · qualityFloor · latencyCeilingMs · budgetUsd · candidatesالإجابات
200 · 400 validation_failed · 401 api_key_missing, api_key_invalid · 402 budget_exceeded · 403 policy_blocked, sovereignty_blocked, jurisdiction_blocked, kill_switch_active, human_review_not_resumable, api_key_scope_denied · 429 · 500 internal_error · 503 budget_unavailable, governance_error/api/cache
POST /api/cache/lookup
Look up a cached answer for a prompt
المصادقة
مفتاح API
نطاق المفتاح
cache:readالجسم
prompt (إلزامي) · threshold · modelالإجابات
200 · 400 validation_failed · 401 api_key_missing, api_key_invalid · 403 api_key_scope_denied, api_key_role_denied, ip_not_allowed · 429 · 500 internal_errorPOST /api/cache/store
Store a prompt and its answer in the cache
المصادقة
مفتاح API
نطاق المفتاح
cache:writeالجسم
prompt (إلزامي) · response (إلزامي) · model (إلزامي) · provider (إلزامي) · costUsd · ttlMsالإجابات
200 · 400 validation_failed · 401 api_key_missing, api_key_invalid · 403 api_key_scope_denied, api_key_role_denied, ip_not_allowed · 429 · 500 internal_error/api/loops
POST /api/loops/check
Check an agent for a loop, reset its counters, or read its state
المصادقة
مفتاح API
نطاق المفتاح
advisory:readالجسم
action · agentId (إلزامي) · workflowId · prompt · model · costUsdالإجابات
200 · 400 validation_failed · 401 api_key_missing, api_key_invalid · 403 api_key_scope_denied, api_key_role_denied, ip_not_allowed · 429 · 500 internal_error/api/v1/compress
POST /api/v1/compress
Compress long reasoning content (levels L1 to L3)
المصادقة
مفتاح API
نطاق المفتاح
advisory:readالوحدة
متاح حيث يشغّل النشر
FEATURE_CCE.الجسم
content (إلزامي) · level · agentId · workflowId · traceIdالإجابات
200 · 400 validation_failed · 401 api_key_missing, api_key_invalid · 403 api_key_scope_denied, api_key_role_denied, ip_not_allowed · 429 · 500 internal_error · 501 feature_disabled/api/v1/reconstruct
POST /api/v1/reconstruct
Reconstruct compressed content from its id
المصادقة
مفتاح API
نطاق المفتاح
advisory:readالوحدة
متاح حيث يشغّل النشر
FEATURE_CCE.الجسم
cognitiveStateId (إلزامي)الإجابات
200 · 400 validation_failed · 401 api_key_missing, api_key_invalid · 403 api_key_scope_denied, api_key_role_denied, ip_not_allowed · 404 not_found · 429 · 500 internal_error · 501 feature_disabled/api/v1/marketplace
GET /api/v1/marketplace
The best-fit model of the provider marketplace for your constraints
المصادقة
مفتاح API
نطاق المفتاح
advisory:readالوحدة
متاح حيث يشغّل النشر
FEATURE_MARKETPLACE.المعاملات
mode · maxCostPer1k · maxLatencyMs · minQuality · requiresVision · requiresTools · minContextWindowالإجابات
200 · 401 api_key_missing, api_key_invalid · 403 api_key_scope_denied, api_key_role_denied, ip_not_allowed · 404 · 429 · 500 internal_error · 501 feature_disabled